HttpRequest::setMethod
HttpRequest::setPostFields
The HttpRequest
PHP Manual

# HttpRequest::setOptions

(PECL pecl_http:0.10.0-1.5.5)

HttpRequest::setOptions — Set options

### Beschreibung

public bool HttpRequest::setOptions ([ array `$options` ] )

Set the request options to use.

Siehe auch die vollständige Liste der Request Optionen.

### Parameter-Liste

`options`

  an associative array, which values will overwrite the currently set request options; if empty or omitted, the options of the HttpRequest object will be reset

### Rückgabewerte

Gibt bei Erfolg `TRUE` zurück, im Fehlerfall `FALSE`.

HttpRequest::setMethod
HttpRequest::setPostFields
The HttpRequest
PHP Manual